Export (0) Print
Expand All

Hardware and Software Requirements

Updated: April 5, 2010

Applies To: Forefront Identity Manager 2010

Required Hardware

The server or servers that host Microsoft® Forefront® Identity Manager (FIM) 2010 server components must meet the following minimum hardware requirements:

  • An x64-capable processor

  • 2 gigabytes (GB) of available hard disk space

  • 2 GB or more of RAM

  • A monitor with a resolution of 1024 × 768

  • A CD-ROM or DVD-ROM drive

The client computer that hosts the FIM 2010 client-side components must meet the following minimum hardware requirements:

  • 512 MB of RAM (1 GB recommended)

  • 500 MB of free hard disk space

  • A monitor that can display a resolution of 1024 × 768

Required Software

Each server hosting the different FIM 2010 server-side components has a different software requirement. In this document, you will find the software requirements for each of the FIM 2010 server-side components. If you decide to install all the server-side components on one server, you must install the software requirements for each of the FIM 2010 server-side components on that server.

FIM 2010 Synchronization Service software requirements

The server hosting the FIM 2010 Synchronization Service must have the following prerequisite software installed:

  • The 64-bit edition of the Windows Server 2008 or Windows Server 2008 R2 Standard or Enterprise operating systems

    ImportantImportant
    When you install Windows Server 2008, do not install Windows Server 2008 Terminal Services (not to be confused with Remote Desktop Connection). If you install Terminal Services, the FIM 2010 server components do not install.

  • Windows Installer 4.5, if you are running Windows Server 2008. It is already included in Windows Server 2008 R2.

    Windows Installer 4.5 can be downloaded from the Microsoft Download Center.

  • Microsoft SQL Server® 2008 64-bit Standard or Enterprise, Service Pack 1 (SP1) or later

    noteNote
    Microsoft SQL Server® 2008 R2 and Microsoft SQL Server® 2008 R2 with SP1 are supported when using FIM 2010 Update 1 or later.

    The following SQL features must be installed:

    • Database Engine Services

      noteNote
      SQL Server can be installed on a remote server and does not have to be located on the same server as the FIM Synchronization Service server.

      noteNote
      You must install Management Tools – Basic on at least one server to be able to manage the computer running SQL Server.

  • Microsoft Visual Studio® 2008

    noteNote
    Visual Studio 2008 is required if you are planning to develop rules extensions for the FIM 2010 Synchronization Service on this server.

  • Windows PowerShell™ 1.0 or 2.0

    noteNote
    Windows PowerShell 1.0 or later is required to provision resources for Microsoft Exchange Server 2007.

    Windows PowerShell 2.0 is required to provision resources for Exchange 2010.

    You cannot have both versions of Windows PowerShell installed at the same time.

    Windows PowerShell 1.0 features can be installed from the Features options interface that is included with Windows Server 2008.

    Windows Server 2008 R2 ships with Windows PowerShell 2.0. You can also download Windows PowerShell 2.0 from the Microsoft Download Center for Windows Server 2008.

  • Microsoft .NET Framework 3.5 (Windows Server 2008) or .NET Framework 3.5.1 (Windows Server 2008 R2).

    noteNote
    You can also install .NET Framework Features from the Features options interface that is included with Windows Server 2008.

    noteNote
    While not required, you can also install the .NET Framework 4.0. However, when you install the .NET Framework 4.0, you need to install the entire framework and not just the .NET 4 client profile.

  • It is necessary to install the .NET 3.5 SP1 Framework only on Windows Server 2008. The .NET 3.5 SP1 Framework is included in Windows Server 2008 R2.

    Visit the Microsoft Download Center to download .NET Framework 3.5 Service Pack 1 (http://go.microsoft.com/fwlink/?LinkId=129538).



  • Exchange 2007 SP1 Management Console

    noteNote
    Exchange 2007 SP1 Management Tools is required to fully provision Exchange 2007 mailboxes, contacts, and groups that the FIM Synchronization Service creates. You receive an extension-dll-exception error if you attempt to synchronize these objects to Active Directory® Domain Services (AD DS) without installing the Exchange 2007 SP1 Management Console.

    Exchange 2010 provisioning does not require any additional tools to be installed on the FIM Synchronization Service server.

FIM Service software requirements

The server that hosts the FIM Service must have the following software installed:

  • The 64-bit edition of Windows Server 2008 or Windows Server 2008 R2 Standard or Enterprise

    ImportantImportant
    When you install Windows Server 2008, do not install Windows Server 2008 Terminal Services (not to be confused with Remote Desktop). If you install Terminal Services, the FIM server components do not install.

  • Windows Installer 4.5, if you are running Windows Server 2008. It is already included in Windows Server 2008 R2.

    noteNote
    You can download Windows Installer 4.5 from Microsoft Download Center.

  • 64-bit SQL Server 2008 Standard or Enterprise Editions, SP1 or later.

    noteNote
    Microsoft SQL Server® 2008 R2 is supported when using FIM 2010 Update 1.

    The following SQL features must be installed:

    • Database Engine Service

      • Full-Text Search

      noteNote
      SQL Server can be installed on a remote server. It does not have to be located on the same server as the FIM Service server.

      noteNote
      You must install Management Tools – Basic on at least one server to be able to manage the SQL Server.

    noteNote
    You can use the same SQL Server 2008 instance that the FIM Synchronization Service uses.

    noteNote
    After you install SQL Server, ensure that the SQL Agent is running.

  • Windows PowerShell 1.0 or 2.0

    noteNote
    FIM Service works both with Windows PowerShell 1.0 and Windows PowerShell 2.0.

    You cannot have both versions of Windows PowerShell installed at the same time.

    You can install Windows PowerShell 1.0 features from the Features options interface that is included with Windows Server 2008. Windows Server 2008 R2 ships with Windows PowerShell 2.0.

    You can download Windows PowerShell 2.0 for Windows Server 2008 from the Microsoft Download Center.

  • The .NET Framework 3.0 (Windows Server 2008) or .NET Framework 3.5.1 (Windows Server 2008 R2)

    noteNote
    .NET Framework features can be installed from the Features options interface that is included with Windows Server 2008.

    noteNote
    While not required, you can also install the .NET Framework 4.0. However, when you install the .NET Framework 4.0, you need to install the entire framework and not just the .NET 4 client profile.

  • It is necessary to install the .NET 3.5 SP1 Framework only on Windows Server 2008. The .NET 3.5 SP1 Framework is included in Windows Server 2008 R2.

    Visit the Microsoft Download center to download .NET Framework 3.5 Service Pack 1 (http://go.microsoft.com/fwlink/?LinkId=129538).

FIM Portal and Password Portal software requirements

The server or servers that host the FIM Portal and Password Portal must have the following software installed:

noteNote
If you decide to install the FIM Portal and Password Portal software on different servers, the software prerequisites for both servers are the same:

  • The 64-bit edition of Windows Server 2008 or Windows Server 2008 R2 Standard or Enterprise

    ImportantImportant
    When you install Windows Server 2008, do not install Windows Server 2008 Terminal Services (not to be confused with Remote Desktop). If you install Terminal Services, the FIM 2010 server components do not install.

  • The .NET Framework 3.0 (Windows Server 2008) or .NET Framework 3.5.1 (Windows Server 2008 R2)

    noteNote
    .NET Framework features can be installed from the Features options interface that is included with Windows Server 2008.

  • It is necessary to install the .NET 3.5 SP1 Framework only on Windows Server 2008. The .NET 3.5 SP1 Framework is included in Windows Server 2008 R2.

    Visit the Microsoft Download Center to download .NET Framework 3.5 Service Pack 1 (http://go.microsoft.com/fwlink/?LinkId=129538).

  • Windows SharePoint® Services 3.0 SP1 or Service Pack 2 (SP2)

    noteNote
    Visit the Microsoft Download Center to download Windows SharePoint Services 3.0 x64 with SP2 (http://go.microsoft.com/fwlink/?LinkID=181113).

    noteNote
    See the installation guide for Windows SharePoint Services for further information: Deployment for Windows SharePoint Services 3.0 Technology (http://go.microsoft.com/fwlink/?LinkID=123878).

  • Windows SharePoint Services 3.0 Language Pack

    noteNote
    If you have installed Windows SharePoint Services 3.0 in a language other than English, you must install the Windows SharePoint Services 3.0 Language Pack. Visit the Microsoft Download Center to download the Windows SharePoint Services 3.0 Language Pack Service Pack 2 (SP2), 64-Bit Edition (http://go.microsoft.com/fwlink/?LinkID=178266).

FIM add-ins and extensions components software requirements

The client computers that host the FIM add-ins and extensions components must meet the following software requirements:

  • Windows XP Professional SP2 or later, 32-bit, Windows Vista Enterprise Enterprise SP1 or later, 32-bit or 64-bit, or Windows 7 32-bit or 64-bit

  • Windows Installer 3.1 or later (only for Windows XP SP2)

    noteNote
    Visit the Microsoft Download Center to download Windows Installer 3.1 Redistributable (v2) (http://go.microsoft.com/fwlink/?LinkID=62933).

  • Microsoft .NET Framework 3.5 SP1

    noteNote
    Visit the Microsoft Download Center to download .NET Framework 3.5 SP1 (http://go.microsoft.com/fwlink/?LinkId=129538).

  • Microsoft Office Outlook® 2007 SP2

    This software is required only if you use the FIM Office add-in.

    1. Microsoft Forms 2.0 .NET Programmability Support

      This software is required only if you use FIM 2010 Office Integration.

      noteNote
      This software is an add-in feature of the 2007 Microsoft Office system. To install this software, select the Microsoft Forms 2.0 .NET Programmability Support option under Office Tools when you run the setup program for the Microsoft Office system.

    2. Smart Tag .NET Programmability Support

      This software is required only if you use FIM 2010 Office Integration.

      noteNote
      This software is an add-in feature of the Microsoft Office system. To install this software, select the Smart Tag .NET Programmability Support option under Office Tools when you run the setup program for the Microsoft Office system.

    3. .NET Programmability Support for Office Outlook

      This software is required only if you use FIM 2010 Office Integration.

      noteNote
      This software is an add-in feature of the Microsoft Office system. To install this software, select the .NET Programmability Support option under Office Outlook when you run the setup program for the Microsoft Office system.

noteNote
Office 2010 is not supported by FIM 2010.

FIM 2010 R2 is required if you need support for Office 2010.

Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft